function [traindata,testdata,featureEng] = loadDenoise(trainNdx,testNdx)
load dataMat_multSyn1N90
data = permute(dataMat, [3 1 2 4]);
load totalLabels_synIm1
featureEng = latticeFeatures(0,0);
traindata.nodeFeatures = mkNodeFeatures(featureEng, data(:,:,:,trainNdx));
traindata.edgeFeatures = mkEdgeFeatures(featureEng, data(:,:,:,trainNdx));
traindata.nodeLabels = totalLabels(:,:,trainNdx);
traindata.ncases = length(trainNdx);
testdata.nodeFeatures = mkNodeFeatures(featureEng, data(:,:,:,testNdx));
testdata.edgeFeatures = mkEdgeFeatures(featureEng, data(:,:,:,testNdx));
testdata.nodeLabels = totalLabels(:,:,testNdx);
testdata.ncases = length(testNdx);